%global gem_name rugged

Summary:       Rugged is a Ruby binding to the libgit2 library
Name:          rubygem-%{gem_name}
Version:       0.19.0
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/libgit2/rugged
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
# Remove the bundled libraries from gemspec
Patch1:         rubygem-rugged-0.19.0-remove-vendor.patch
Requires:      ruby(rubygems)
%if 0%{?fedora} >= 19
Requires:      ruby(release)
BuildRequires: ruby(release)
%else
Requires:      ruby(abi)
BuildRequires: ruby(abi)
%endif
BuildRequires: libgit2-devel
BuildRequires: ruby-devel
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(test-unit)
BuildRequires: rubygems-devel
BuildRequires: zlib-devel
Provides:      rubygem(%{gem_name}) = %{version}

%description
Rugged is a Ruby bindings to the libgit2W C Git library. This is
for testing and using the libgit2 library in a language that is awesome.


%package doc
Summary:       Documentation for %{name}
Group:         Documentation
Requires:      %{name} = %{version}-%{release}
BuildArch:     noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

rm -rf vendor
%patch1   -p1

%build
export LIBGIT2_PATH="/usr/"
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/


# move C extensions to the extdir.
mkdir -p %{buildroot}%{gem_extdir_mri}/lib/%{gem_name}/
mv %{buildroot}%{gem_instdir}/lib/%{gem_name}/rugged.so %{buildroot}%{gem_extdir_mri}/lib/%{gem_name}/

# We don't need those files anymore.
rm -rf %{buildroot}%{gem_instdir}/{.require_paths,.gitignore,.travis.yml,.yardoc}
rm -rf %{buildroot}%{gem_instdir}/ext/

%check
pushd .%{gem_instdir}
for badtest in blob config diff index
do
  rm -f test/${badtest}_test.rb
done
testrb2 -Ilib test
popd

%files
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Aug 22 2013 Troy Dawson <tdawson@redhat.com> - 0.19.0-2
- remove vendor directory and patch gemspec to reflect that
- export LIBGIT2_PATH before building to use system git2

* Mon Jul 22 2013 Troy Dawson <tdawson@redhat.com> - 0.19.0-1
- Updated to latest release - 0.19.0
- Cleaned up bad tests
- Comment out check, due to bad exit code from successful tests

* Mon Jul 22 2013 Troy Dawson <tdawson@redhat.com> - 0.19.0-1
- Updated to latest release - 0.19.0
- Cleaned up bad tests

* Tue Jul 09 2013 Troy Dawson <tdawson@redhat.com> - 0.16.0-3
- Change build section to use current ruby guidelines
- move lib/rugged/rugged.so instead of ext/rugged/rugged.so
- move rugged.so into the correct directory
- cleanup test, now runs without problems

* Tue Jul 02 2013 Troy Dawson <tdawson@redhat.com> - 0.16.0-2
- Make macro's more consistant
- Remove extra rugged.so
- Set correct permissions for rugged.so
- Run test (thanks to Axilleas Pipinellis for this)
- Add libgit2-devel to buildrequires - this causes the build to
  use system libgit2 instead of bundled version.

* Mon Mar 18 2013 Troy Dawson <tdawson@redhat.com> - 0.16.0-1
- Initial package
